com.rscja.team.qcom.barcode.barcode2d

## Class KeyboardEmulator2DDecoder_qcom

- java.lang.Object
- - com.rscja.barcode.BarcodeDecoder
  - - com.rscja.team.qcom.barcode.barcode2d.KeyboardEmulator2DDecoder_qcom

-     public class KeyboardEmulator2DDecoder_qcom
      extends BarcodeDecoder

  Author:
    zhoupin 键盘助手

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.rscja.barcode.BarcodeDecoder

      `BarcodeDecoder.DecodeCallback, BarcodeDecoder.IBarcodeImageCallback`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ACTION_GET_LAST_DEC_IMAGE`
    `static java.lang.String` | `ACTION_SCAN_PARAMETER`
    `static java.lang.String` | `DEC_IMAGE_KEY`
    `static boolean` | `isDenso`

    - ### Fields inherited from class com.rscja.barcode.BarcodeDecoder

      `DECODE_CANCEL, DECODE_ENGINE_ERROR, DECODE_FAILURE, DECODE_SUCCESS, DECODE_TIMEOUT`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` 关闭二维扫描设备 Switch off 2D barcode scannning device
    `void` | `getLastDecImage(BarcodeDecoder.IBarcodeImageCallback iBarcodeImageCallback)`
    `int` | `getParameter(int paramNum)`
    `static boolean` | `isEnable()`
    `boolean` | `open(android.content.Context context)` 打开二维扫描设备 Switch on 2D scanning device
    `void` | `setDecodeCallback(BarcodeDecoder.DecodeCallback scanCallbackListener)` 设置回调对象接收条码数据,主线程回调 Setup call-back target to acquire barcode data.
    `static void` | `setEnable(boolean flag)`
    `boolean` | `setParameter(int paramNum, int paramVal)` 设置扫描头参数 Setup scanning module parameter
    `void` | `setTimeOut(int timeOut)` 设置超时时间 setup time-out duration
    `boolean` | `startScan()` 触发二维条码扫描 Trigger 2D barcode scanning function
    `void` | `stopScan()` 终止扫描 Scanning terminated

    - ### Methods inherited from class com.rscja.barcode.BarcodeDecoder

      `getDecoderSVersionInfo, isOpen`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### isDenso

          public static boolean isDenso

    - #### ACTION_SCAN_PARAMETER

          public static final java.lang.String ACTION_SCAN_PARAMETER

      See Also:
        Constant Field Values

    - #### ACTION_GET_LAST_DEC_IMAGE

          public static final java.lang.String ACTION_GET_LAST_DEC_IMAGE

      See Also:
        Constant Field Values

    - #### DEC_IMAGE_KEY

          public static final java.lang.String DEC_IMAGE_KEY

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### open

          public boolean open(android.content.Context context)

      Description copied from class: `BarcodeDecoder`
      打开二维扫描设备
      Switch on 2D scanning device
      Specified by:
        `open` in class `BarcodeDecoder`
      Returns:

    - #### close

          public void close()

      Description copied from class: `BarcodeDecoder`
      关闭二维扫描设备
      Switch off 2D barcode scannning device
      Specified by:
        `close` in class `BarcodeDecoder`

    - #### startScan

          public boolean startScan()

      Description copied from class: `BarcodeDecoder`
      触发二维条码扫描
      Trigger 2D barcode scanning function
      Specified by:
        `startScan` in class `BarcodeDecoder`

    - #### stopScan

          public void stopScan()

      Description copied from class: `BarcodeDecoder`
      终止扫描
      Scanning terminated
      Specified by:
        `stopScan` in class `BarcodeDecoder`

    - #### setDecodeCallback

          public void setDecodeCallback(BarcodeDecoder.DecodeCallback scanCallbackListener)

      Description copied from class: `BarcodeDecoder`
      设置回调对象接收条码数据,主线程回调
      Setup call-back target to acquire barcode data.
      Specified by:
        `setDecodeCallback` in class `BarcodeDecoder`

    - #### setTimeOut

          public void setTimeOut(int timeOut)

      Description copied from class: `BarcodeDecoder`
      设置超时时间
      setup time-out duration
      Specified by:
        `setTimeOut` in class `BarcodeDecoder`
      Parameters:
        `timeOut` - 超时时间,单位:秒(timeOut,Unit: second)

    - #### setParameter

          public boolean setParameter(int paramNum,
                                      int paramVal)

      设置扫描头参数
      Setup scanning module parameter
      Overrides:
        `setParameter` in class `BarcodeDecoder`
      Parameters:
        `paramNum` - paramNum
        `paramVal` - paramVal
      Returns:

    - #### getParameter

          public int getParameter(int paramNum)

      Overrides:
        `getParameter` in class `BarcodeDecoder`

    - #### getLastDecImage

          public void getLastDecImage(BarcodeDecoder.IBarcodeImageCallback iBarcodeImageCallback)

      Overrides:
        `getLastDecImage` in class `BarcodeDecoder`

    - #### isEnable

          public static boolean isEnable()

    - #### setEnable

          public static void setEnable(boolean flag)